#include <bits/stdc++.h>
using namespace std;

int t;

int an[3], am[3];

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    cin >> t;

    for (int tp = 0; tp < t; tp++) {
        cin >> an[tp] >> am[tp];
    }

    for (int tp = 0; tp < t; tp++) {
        int n = an[tp], m = am[tp];

        if (n != m) {
            cout << -1 << '\n';
            continue;
        }

        for (int i = 0; i < n; i++) cout << "1 ";
        cout << "\n";

        int p = 1;

        for (int i = 1; i < n; i++) {
            cout << 1 << ' ';
            for (int j = 1; j < n; j++) {
                if (j < n - p) cout << 0 << ' ';
                else cout << 1 << ' ';
            }
            p++;
            cout << '\n';
        }
    }

    return 0;
}